Remove debian-10 directory

Signed-off-by: Carlos Rodriguez Hernandez <carlosrh@vmware.com>
This commit is contained in:
Carlos Rodriguez Hernandez 2022-06-22 10:53:48 +00:00 committed by Bitnami Containers
parent 9bf924eaf7
commit 13c4d06cdc
20 changed files with 0 additions and 300 deletions

View File

@ -1,28 +0,0 @@
FROM docker.io/bitnami/minideb:buster
LABEL maintainer "Bitnami <containers@bitnami.com>"
ENV OS_ARCH="amd64" \
OS_FLAVOUR="debian-10" \
OS_NAME="linux"
COPY prebuildfs /
# Install required system packages and dependencies
RUN install_packages build-essential ca-certificates curl git gzip libc6 libncurses6 libreadline-dev libreadline7 libsqlite3-dev libssl-dev libssl1.1 libtinfo6 pkg-config procps sqlite3 tar unzip wget zlib1g
RUN wget -nc -P /tmp/bitnami/pkg/cache/ https://downloads.bitnami.com/files/stacksmith/ruby-2.6.10-0-linux-amd64-debian-10.tar.gz && \
echo "8b0c4f7cd33a70ca145b772d8a495c2915da6031a164b67055025afd6648d4f6 /tmp/bitnami/pkg/cache/ruby-2.6.10-0-linux-amd64-debian-10.tar.gz" | sha256sum -c - && \
tar -zxf /tmp/bitnami/pkg/cache/ruby-2.6.10-0-linux-amd64-debian-10.tar.gz -P --transform 's|^[^/]*/files|/opt/bitnami|' --wildcards '*/files' && \
rm -rf /tmp/bitnami/pkg/cache/ruby-2.6.10-0-linux-amd64-debian-10.tar.gz
RUN apt-get update && apt-get upgrade -y && \
rm -r /var/lib/apt/lists /var/cache/apt/archives
RUN sed -i 's/^PASS_MAX_DAYS.*/PASS_MAX_DAYS 90/' /etc/login.defs && \
sed -i 's/^PASS_MIN_DAYS.*/PASS_MIN_DAYS 0/' /etc/login.defs && \
sed -i 's/sha512/sha512 minlen=8/' /etc/pam.d/common-password
ENV APP_VERSION="2.6.10" \
BITNAMI_APP_NAME="ruby" \
PATH="/opt/bitnami/ruby/bin:$PATH"
EXPOSE 3000
WORKDIR /app
CMD [ "irb" ]

View File

@ -1,11 +0,0 @@
version: '2'
services:
ruby:
tty: true # Enables debugging capabilities when attached to this container.
image: docker.io/bitnami/ruby:2.6
# command: sh -c 'bundle install && bundle exec rails server -b 0.0.0.0 -p 3000'
ports:
- 3000:3000
volumes:
- .:/app

View File

@ -1,9 +0,0 @@
{
"ruby": {
"arch": "amd64",
"digest": "8b0c4f7cd33a70ca145b772d8a495c2915da6031a164b67055025afd6648d4f6",
"distro": "debian-10",
"type": "NAMI",
"version": "2.6.10-0"
}
}

View File

@ -1,3 +0,0 @@
Bitnami containers ship with software bundles. You can find the licenses under:
/opt/bitnami/nami/COPYING
/opt/bitnami/[name-of-bundle]/licenses/[bundle-version].txt

View File

@ -1,24 +0,0 @@
#!/bin/sh
set -e
set -u
export DEBIAN_FRONTEND=noninteractive
n=0
max=2
until [ $n -gt $max ]; do
set +e
(
apt-get update -qq &&
apt-get install -y --no-install-recommends "$@"
)
CODE=$?
set -e
if [ $CODE -eq 0 ]; then
break
fi
if [ $n -eq $max ]; then
exit $CODE
fi
echo "apt failed, retrying"
n=$(($n + 1))
done
rm -r /var/lib/apt/lists /var/cache/apt/archives

View File

@ -1,28 +0,0 @@
FROM docker.io/bitnami/minideb:buster
LABEL maintainer "Bitnami <containers@bitnami.com>"
ENV OS_ARCH="amd64" \
OS_FLAVOUR="debian-10" \
OS_NAME="linux"
COPY prebuildfs /
# Install required system packages and dependencies
RUN install_packages build-essential ca-certificates curl git gzip libc6 libncurses6 libreadline-dev libreadline7 libsqlite3-dev libssl-dev libssl1.1 libtinfo6 pkg-config procps sqlite3 tar unzip wget zlib1g
RUN wget -nc -P /tmp/bitnami/pkg/cache/ https://downloads.bitnami.com/files/stacksmith/ruby-2.7.6-0-linux-amd64-debian-10.tar.gz && \
echo "e1123e8eb7fa89f5aaeafda30e5c65372cba6ff6c2dc88b7037d367ebb3e5863 /tmp/bitnami/pkg/cache/ruby-2.7.6-0-linux-amd64-debian-10.tar.gz" | sha256sum -c - && \
tar -zxf /tmp/bitnami/pkg/cache/ruby-2.7.6-0-linux-amd64-debian-10.tar.gz -P --transform 's|^[^/]*/files|/opt/bitnami|' --wildcards '*/files' && \
rm -rf /tmp/bitnami/pkg/cache/ruby-2.7.6-0-linux-amd64-debian-10.tar.gz
RUN apt-get update && apt-get upgrade -y && \
rm -r /var/lib/apt/lists /var/cache/apt/archives
RUN sed -i 's/^PASS_MAX_DAYS.*/PASS_MAX_DAYS 90/' /etc/login.defs && \
sed -i 's/^PASS_MIN_DAYS.*/PASS_MIN_DAYS 0/' /etc/login.defs && \
sed -i 's/sha512/sha512 minlen=8/' /etc/pam.d/common-password
ENV APP_VERSION="2.7.6" \
BITNAMI_APP_NAME="ruby" \
PATH="/opt/bitnami/ruby/bin:$PATH"
EXPOSE 3000
WORKDIR /app
CMD [ "irb" ]

View File

@ -1,11 +0,0 @@
version: '2'
services:
ruby:
tty: true # Enables debugging capabilities when attached to this container.
image: docker.io/bitnami/ruby:2.7
# command: sh -c 'bundle install && bundle exec rails server -b 0.0.0.0 -p 3000'
ports:
- 3000:3000
volumes:
- .:/app

View File

@ -1,9 +0,0 @@
{
"ruby": {
"arch": "amd64",
"digest": "e1123e8eb7fa89f5aaeafda30e5c65372cba6ff6c2dc88b7037d367ebb3e5863",
"distro": "debian-10",
"type": "NAMI",
"version": "2.7.6-0"
}
}

View File

@ -1,3 +0,0 @@
Bitnami containers ship with software bundles. You can find the licenses under:
/opt/bitnami/nami/COPYING
/opt/bitnami/[name-of-bundle]/licenses/[bundle-version].txt

View File

@ -1,24 +0,0 @@
#!/bin/sh
set -e
set -u
export DEBIAN_FRONTEND=noninteractive
n=0
max=2
until [ $n -gt $max ]; do
set +e
(
apt-get update -qq &&
apt-get install -y --no-install-recommends "$@"
)
CODE=$?
set -e
if [ $CODE -eq 0 ]; then
break
fi
if [ $n -eq $max ]; then
exit $CODE
fi
echo "apt failed, retrying"
n=$(($n + 1))
done
rm -r /var/lib/apt/lists /var/cache/apt/archives

View File

@ -1,28 +0,0 @@
FROM docker.io/bitnami/minideb:buster
LABEL maintainer "Bitnami <containers@bitnami.com>"
ENV OS_ARCH="amd64" \
OS_FLAVOUR="debian-10" \
OS_NAME="linux"
COPY prebuildfs /
# Install required system packages and dependencies
RUN install_packages build-essential ca-certificates curl git gzip libc6 libncurses6 libreadline-dev libreadline7 libsqlite3-dev libssl-dev libssl1.1 libtinfo6 pkg-config procps sqlite3 tar unzip wget zlib1g
RUN wget -nc -P /tmp/bitnami/pkg/cache/ https://downloads.bitnami.com/files/stacksmith/ruby-3.0.4-0-linux-amd64-debian-10.tar.gz && \
echo "28a542e5a0cb321d91a712cafb95c6429acd0fde252e22a2f8fb28a23c066a45 /tmp/bitnami/pkg/cache/ruby-3.0.4-0-linux-amd64-debian-10.tar.gz" | sha256sum -c - && \
tar -zxf /tmp/bitnami/pkg/cache/ruby-3.0.4-0-linux-amd64-debian-10.tar.gz -P --transform 's|^[^/]*/files|/opt/bitnami|' --wildcards '*/files' && \
rm -rf /tmp/bitnami/pkg/cache/ruby-3.0.4-0-linux-amd64-debian-10.tar.gz
RUN apt-get update && apt-get upgrade -y && \
rm -r /var/lib/apt/lists /var/cache/apt/archives
RUN sed -i 's/^PASS_MAX_DAYS.*/PASS_MAX_DAYS 90/' /etc/login.defs && \
sed -i 's/^PASS_MIN_DAYS.*/PASS_MIN_DAYS 0/' /etc/login.defs && \
sed -i 's/sha512/sha512 minlen=8/' /etc/pam.d/common-password
ENV APP_VERSION="3.0.4" \
BITNAMI_APP_NAME="ruby" \
PATH="/opt/bitnami/ruby/bin:$PATH"
EXPOSE 3000
WORKDIR /app
CMD [ "irb" ]

View File

@ -1,11 +0,0 @@
version: '2'
services:
ruby:
tty: true # Enables debugging capabilities when attached to this container.
image: docker.io/bitnami/ruby:3.0
# command: sh -c 'bundle install && bundle exec rails server -b 0.0.0.0 -p 3000'
ports:
- 3000:3000
volumes:
- .:/app

View File

@ -1,9 +0,0 @@
{
"ruby": {
"arch": "amd64",
"digest": "28a542e5a0cb321d91a712cafb95c6429acd0fde252e22a2f8fb28a23c066a45",
"distro": "debian-10",
"type": "NAMI",
"version": "3.0.4-0"
}
}

View File

@ -1,3 +0,0 @@
Bitnami containers ship with software bundles. You can find the licenses under:
/opt/bitnami/nami/COPYING
/opt/bitnami/[name-of-bundle]/licenses/[bundle-version].txt

View File

@ -1,24 +0,0 @@
#!/bin/sh
set -e
set -u
export DEBIAN_FRONTEND=noninteractive
n=0
max=2
until [ $n -gt $max ]; do
set +e
(
apt-get update -qq &&
apt-get install -y --no-install-recommends "$@"
)
CODE=$?
set -e
if [ $CODE -eq 0 ]; then
break
fi
if [ $n -eq $max ]; then
exit $CODE
fi
echo "apt failed, retrying"
n=$(($n + 1))
done
rm -r /var/lib/apt/lists /var/cache/apt/archives

View File

@ -1,28 +0,0 @@
FROM docker.io/bitnami/minideb:buster
LABEL maintainer "Bitnami <containers@bitnami.com>"
ENV OS_ARCH="amd64" \
OS_FLAVOUR="debian-10" \
OS_NAME="linux"
COPY prebuildfs /
# Install required system packages and dependencies
RUN install_packages build-essential ca-certificates curl git gzip libc6 libncurses6 libreadline-dev libreadline7 libsqlite3-dev libssl-dev libssl1.1 libtinfo6 pkg-config procps sqlite3 tar unzip wget zlib1g
RUN wget -nc -P /tmp/bitnami/pkg/cache/ https://downloads.bitnami.com/files/stacksmith/ruby-3.1.2-0-linux-amd64-debian-10.tar.gz && \
echo "fe3b8a1d0f4ce2625040be1c7f5b3c6fb3e5bf836510ca83aac23b2a44a285e0 /tmp/bitnami/pkg/cache/ruby-3.1.2-0-linux-amd64-debian-10.tar.gz" | sha256sum -c - && \
tar -zxf /tmp/bitnami/pkg/cache/ruby-3.1.2-0-linux-amd64-debian-10.tar.gz -P --transform 's|^[^/]*/files|/opt/bitnami|' --wildcards '*/files' && \
rm -rf /tmp/bitnami/pkg/cache/ruby-3.1.2-0-linux-amd64-debian-10.tar.gz
RUN apt-get update && apt-get upgrade -y && \
rm -r /var/lib/apt/lists /var/cache/apt/archives
RUN sed -i 's/^PASS_MAX_DAYS.*/PASS_MAX_DAYS 90/' /etc/login.defs && \
sed -i 's/^PASS_MIN_DAYS.*/PASS_MIN_DAYS 0/' /etc/login.defs && \
sed -i 's/sha512/sha512 minlen=8/' /etc/pam.d/common-password
ENV APP_VERSION="3.1.2" \
BITNAMI_APP_NAME="ruby" \
PATH="/opt/bitnami/ruby/bin:$PATH"
EXPOSE 3000
WORKDIR /app
CMD [ "irb" ]

View File

@ -1,11 +0,0 @@
version: '2'
services:
ruby:
tty: true # Enables debugging capabilities when attached to this container.
image: docker.io/bitnami/ruby:3.1
# command: sh -c 'bundle install && bundle exec rails server -b 0.0.0.0 -p 3000'
ports:
- 3000:3000
volumes:
- .:/app

View File

@ -1,9 +0,0 @@
{
"ruby": {
"arch": "amd64",
"digest": "fe3b8a1d0f4ce2625040be1c7f5b3c6fb3e5bf836510ca83aac23b2a44a285e0",
"distro": "debian-10",
"type": "NAMI",
"version": "3.1.2-0"
}
}

View File

@ -1,3 +0,0 @@
Bitnami containers ship with software bundles. You can find the licenses under:
/opt/bitnami/nami/COPYING
/opt/bitnami/[name-of-bundle]/licenses/[bundle-version].txt

View File

@ -1,24 +0,0 @@
#!/bin/sh
set -e
set -u
export DEBIAN_FRONTEND=noninteractive
n=0
max=2
until [ $n -gt $max ]; do
set +e
(
apt-get update -qq &&
apt-get install -y --no-install-recommends "$@"
)
CODE=$?
set -e
if [ $CODE -eq 0 ]; then
break
fi
if [ $n -eq $max ]; then
exit $CODE
fi
echo "apt failed, retrying"
n=$(($n + 1))
done
rm -r /var/lib/apt/lists /var/cache/apt/archives